Trigger
=======

Trigger is an Android App to unlock/lock doors, show the door status and ring a bell.

Features:
 - Generic HTTPS, SSH, Bluetooth/BLE and MQTT support
 - support for Nuki SmartLock
 - multiple door profiles
 - auto select profiles by connected WiFi
 - HTTPS server/client certificate support
 - SSH key generation support (ED25519, RSA,...)
 - custom status images
 - QR code support
 - backup support

![image](docs/screenshot_states.png)

(more [Screenshots](docs/screenshots.md))

Any help, bugfixes, new features, translations are much appreciated.

## Download

[<img src="docs/fdroid.png" alt="Get it on F-Droid" height="90">](https://f-droid.org/packages/com.example.trigger/)
[<img src="docs/apk.png" alt="Get it on GitHub" height="90">](https://github.com/mwarning/trigger/releases)
[<img src="docs/gplay.png" alt="Get it on Google Play" height="90">](https://play.google.com/store/apps/details?id=app.door_trigger)

The minimum supported Android version is 5.0.

## Documentation

For further feature explanations and How-Tos, see the [Documentation](docs/documentation.md) page.

## Similar/Related Projects

* [Sphincter-Remote](https://github.com/openlab-aux/Sphincter-Remote) / [Sphincter](https://github.com/openlab-aux/sphincter) / [Sphincterd](https://github.com/openlab-aux/sphincterd)
* [D00r-app](https://github.com/h42i/d00r-app) / [D00r-key-server](https://github.com/h42i/d00r-key-server)
* [labadoor](https://github.com/ToLABaki/labadoor) / [DoorLock](https://wiki.tolabaki.gr/w/DoorLock_v3)
* [Krautschlüssel](https://gitlab.com/fiveop/krautschluessel)
* [MetalabDoorWidget](https://github.com/zoff99/MetalabDoorWidget)
* [HACKS](https://github.com/ktt-ol/hacs)
* [Stratum0Widget](https://github.com/Valodim/Stratum0Widget)

## License

This work is licenced under the GNU General Public License version 2 or later (GPLv2).

Icons: [Googles Material Design](https://material.io/tools/icons/)
